"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chunker_1 = require("./chunker");
async function* default_1(input, size) {
    const chunker = new chunker_1.Chunker(size);
    for await (const chunk of input) {
        const data = chunker.push(chunk);
        if (data != undefined) {
            yield data;
        }
    }
    return chunker.takeRemaining();
}
exports.default = default_1;
